## cliofetion 2.1.0

=== CMakeLists.txt ===
project(cliofetion)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules)
set(TARNAME cliofetion)


# program name, version etc
set(OFETION_VERSION_MAJOR "2")
set(OFETION_VERSION_MINER "1")
set(OFETION_VERSION_PATCH "0")

# library API version
set(LIBOFETION_MAJOR_VERSION "1")
set(LIBOFETION_MINOR_VERSION "1")
set(LIBOFETION_PATCH_VERSION "0")

# library ABI version
set(LIBOFETION_SO_CUR_VERSION "1")
set(LIBOFETION_SO_REV_VERSION "0")
set(LIBOFETION_SO_AGE_VERSION "0")

set(LIBOFETION_VERSION_STRING
    "${LIBOFETION_MAJOR_VERSION}.${LIBOFETION_MINOR_VERSION}.${LIBOFETION_PATCH_VERSION}"
)
set(LIBOFETION_SO_VERION_STRING
    "${LIBOFETION_SO_CUR_VERSION}.${LIBOFETION_SO_REV_VERSION}.${LIBOFETION_SO_AGE_VERSION}"
)

set(PACKAGE_VERSION "${OFETION_VERSION_MAJOR}.${OFETION_VERSION_MINER}.${OFETION_VERSION_PATCH}")
set(PACKAGE_NAME "openfetion")
set(PACKAGE_TARNAME "${TARNAME}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "http://code.google.com/p/ofetion/issues/list")

find_package(PkgConfig REQUIRED)

##########################################################################
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)
##########################################################################
if(NOT DEFINED BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif(NOT DEFINED BIN_INSTALL_DIR)
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED DATA_INSTALL_DIR)
    set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
endif(NOT DEFINED DATA_INSTALL_DIR)
if(NOT DEFINED INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
endif(NOT DEFINED INCLUDE_INSTALL_DIR)

add_definitions(-DRESOURCE_DIR="${DATA_INSTALL_DIR}/openfetion/resource/")
pkg_check_modules(OFETION REQUIRED ofetion)

include_directories(
    ${OFETION_INCLUDE_DIRS}
    @TMP_XMLSSLSLITE_INCLUDE_DIRS@
)

set(cliofetion_SRC
    src/cliofetion.c

)

add_executable(cliofetion ${cliofetion_SRC})
target_link_libraries(cliofetion ${OFETION_LIBRARIES})
install(TARGETS cliofetion RUNTIME DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
cliofetion (2.1.0-0ubuntu1) natty; urgency=low

  [ Aron Xu ]
  * Initial release

  [ Zhengpeng Hou ]
  * Updated Maintainer field.
  * Remove LDFLAGS=-Wl,--as-needed, since its being set by default in natty.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sat, 15 Jan 2011 23:14:14 +0800

=== debian/control ===
Source: cliofetion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, pkg-config, libofetion-dev (>= 2.1.0), libssl-dev, libsqlite3-dev, libxml2-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion

Package: cliofetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open source command line fetion protocol client
 open source implementation of fetion protocol client
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 This package provides the command line application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#LDFLAGS=-Wl,--as-needed

%:
	dh  $@

## cliofetion 2.2.0

=== CMakeLists.txt ===
project(cliofetion)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules)
set(TARNAME cliofetion)


# program name, version etc

set(PACKAGE_VERSION "2.2.0")
set(PACKAGE_NAME "cliofetion")
set(PACKAGE_TARNAME "${TARNAME}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "http://code.google.com/p/ofetion/issues/list")

find_package(PkgConfig REQUIRED)

##########################################################################
if(NOT DEFINED BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif(NOT DEFINED BIN_INSTALL_DIR)
if(NOT DEFINED DATA_INSTALL_DIR)
    set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
endif(NOT DEFINED DATA_INSTALL_DIR)
if(NOT DEFINED MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR "${DATA_INSTALL_DIR}/man")
endif(NOT DEFINED MAN_INSTALL_DIR)
if(NOT DEFINED RESOURCE_INSTALL_DIR)
    set(RESOURCE_INSTALL_DIR "${DATA_INSTALL_DIR}/clifetion/resource/")
endif(NOT DEFINED RESOURCE_INSTALL_DIR)
if(NOT DEFINED LOCALE_INSTALL_DIR)
    set(LOCALE_INSTALL_DIR "${DATA_INSTALL_DIR}/locale/")
endif(NOT DEFINED LOCALE_INSTALL_DIR)

add_definitions(-DRESOURCE_DIR="${RESOURCE_INSTALL_DIR}")
pkg_check_modules(OFETION REQUIRED ofetion)

include_directories(
    ${OFETION_INCLUDE_DIRS}
)

set(cliofetion_SRC
    src/cliofetion.c
)

add_executable(cliofetion ${cliofetion_SRC})
target_link_libraries(cliofetion ${OFETION_LIBRARIES})
install(TARGETS cliofetion RUNTIME DESTINATION ${BIN_INSTALL_DIR})

install(FILES cliofetion.1 DESTINATION ${MAN_INSTALL_DIR}/man1)

=== debian/changelog ===
cliofetion (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #608048)

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:53:25 +0800

=== debian/control ===
Source: cliofetion
Section: net
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Uploaders: Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7), cmake, pkg-config, libofetion-dev (>= 2.2.0), libssl-dev, libsqlite3-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ofetion

Package: cliofetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open source command line implementation of Fetion protocol
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports the core Internet SMS service.

=== debian/rules ===
#!/usr/bin/make -f
LDFLAGS=-Wl,--as-needed

%:
	dh  $@

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/cliofetion-(\d+.*)\.tar\.gz
